API referenceCustom fields
Find custom field
Find a custom field definition by its key
GET
/custom-fields/{key}curl -X GET "https://api.corma.io/v1/custom-fields/{key}" \
-H "x-corma-api-key: $CORMA_OPEN_API_KEY"Authorization
x-corma-api-keystringheaderrequiredColon-separated API key ID and secret:
API_KEY_ID:API_KEY_SECRET
Parameters
keystringpathrequired
Response
application/json200
OK
keystringrequiredlabelstringrequiredtypeenum<string>requiredOne of:textnumberbooleandateuserentityenum<string>requiredOne of:usercreatedAtstring<date-time>requiredThe timestamp of when this resource was created. ISO 8601 format.
updatedAtstring<date-time>requiredThe timestamp of the last update to this resource. ISO 8601 format.
{
"key": "string",
"label": "string",
"type": "text",
"entity": "user",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}